.\"                                      Hey, EMACS: -*- nroff -*-
.\" First parameter, NAME, should be all caps
.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
.\" other parameters are allowed: see man(7), man(1)
.TH JACK_CAPTURE 1 "July 28, 2010"
.\" Please adjust this date whenever revising the manpage.
.\"
.\" Some roff macros, for reference:
.\" .nh        disable hyphenation
.\" .hy        enable hyphenation
.\" .ad l      left justify
.\" .ad b      justify to both left and right margins
.\" .nf        disable filling
.\" .fi        enable filling
.\" .br        insert line break
.\" .sp <n>    insert n+1 empty lines
.\" for manpage-specific macros, see man(7)
.SH NAME
.B jack_capture 
\- A program for recording anything from jack
.SH SYNOPSIS
.B jack_capture
.RI [ options ] 
.br
.B bar
.RI [ options ]
.SH DESCRIPTION
This manual page documents briefly the
.B jack_capture
command.
This manual page was written for the Debian distribution
because the original program does not have a manual page.
.PP
\fBjack_capture\fP is a cli program for recording any audio signal from jack to audio audio formats supported by libsndfile library (wav, aiff, ogg, flac, wavex, au, etc.)
.PP
For more info about libsndfile see http://www.mega-nerd.com/libsndfile/api.html#open
.SH OPTIONS
These programs follow the usual GNU command line syntax, with long
options starting with two dashes (`-').
A summary of options is included below.
.TP
.B \-b, \-\-bitdepth n
is by default FLOAT. It can be set to either 8, 16, 24 or 32. (for relevant formats)
.TP
.B \-c, \-\-channels n
is by default 2.
.TP
.B \-p, \-\-port port
is by default set to the two first physical outputs. The "port" argument can be specified more than once.
.TP
.B \-d, \-\-duration s
Recording is stopped after "s" seconds.
.TP
.B \-z, \-\-leading-zeros n
"n" is the number of zeros to in the autogenerated filename.
(\-z 2 -> jack_capture_001.wav, and so on.) (default is 1)
.TP
.B \-f, \-\-format format
Selects fileformat provided by libsndfile.
See http://www.mega-nerd.com/libsndfile/api.html#open
(Default is wav for 1 or 2 channels, and wavex for more than 2.)
.TP
.B \-pf, \-\-print-formats
Prints all sound formats provided to sndfile to screen and then exits.
.TP
.B \-v, \-\-version
Prints out version.
.TP
.B \-s, \-\-silent
Suppress some common messages printed to the terminal.
.TP
.B \-V, \-\-verbose]
Prints some extra information to the terminal.
.TP
.B \-mp3, \-\-mp3
Writes to an mp3 file using liblame (LAME). (the \-\-format option has no effect using this option)
.TP
.B \-mp3q, \-\-mp3-quality n
Selects mp3 quality provided by liblame. n=0 is best, n=9 is worst. Default n is 2. (0 uses the most amount of CPU, 9 uses the least)
.TP
.B \-mp3b, \-\-mp3-bitrate n
Selects mp3 bitrate (in kbit/s). Default is set by liblame. (currently 128)
.TP
.B \-ws, \-\-write-to-stdout 
Writes 16 bit little endian to stdout. (the \-\-format option, the \-\-mp3 option, and some others have no effect using this option)
.TP
.B \-dm, \-\-disable-meter
Disable console meter
.TP
.B \-hbu, \-\-hide-buffer-usage
Disable buffer usage.
.TP
.B \-dc, \-\-disable-console
Disable console updates. Same as "\-dm \-hbu".
.TP
.B \-lm, \-\-linear-meter
Use linear scale for the console meter (default is dB scale)
.TP
.B \-dBr, \-\-dB-meter-reference
Specify reference level for dB meter. (default=0)
.TP
.B \-mb, \-\-meterbridge
Start up meterbridge to monitor recorded sound.
.TP
.B \-mt, \-\-meterbridge-type
Specify type. vu (default), ppm, dpm, jf or sco.
.TP
.B \-mr, \-\-meterbridge-reference
Specify reference level for meterbidge.
.TP
.B \-jt, \-\-jack-transport
Start program, but do not start recording until jack transport has started rolling. When jack transport stops, the recording is stopped, and the program ends.
.TP
.B \-jtm, \-\-jack-transport-multi
Similar to \-\-jack-transport, but do not end program when jack transport stops. Instead, record to a new file when jack_transport start rolling again. (not implemented yet)
.TP
.B \-B, \-\-bufsize s
Initial/minimum buffer size in seconds. Default is 8 seconds for mp3 files, and 4 seconds for all other formats.
.TP
.B \-MB, \-\-maxbufsize
Maximum buffer size in seconds. jack_capture will allocate. Default is 40. (Buffer is automatically increased during
.TP
.B \-fn, \-\-filename
Specify filename. (It's usually easier to set last argument instead)
.SH EXAMPLES
.TP
.B jack_capture  [--bitdepth n] [--channels n] [--port port] [filename]
.TP
.B jack_capture  [-b n] [-c n] [-p port] [filename]
.TP
.B jack_capture
To record a stereo file of what you hear.
.TP
.B ack_capture -f flac
To record a stereo file of what you hear in the flac format.
.TP
.B jack_capture -f ogg
To record a stereo file of what you hear in the ogg format.
.TP
.B jack_capture -mp3
To record a stereo file of what you hear in the mp3 format.
.TP
.B jack_capture --channels 2 --port system:playback*
To record a stereo file of what you hear in the wav format.
.TP
.B jack_capture --port jamin:out* sound_from_jamin.wav
To record the output from jamin.
.TP
.B jack_capture --port jamin:in* sound_to_jamin.wav
To record all sound coming in to jamin.
.TP
.B jack_capture --port jamin* sound_to_and_from_jamin.wav
To record all sound coming in and out of jamin.
.TP
.B jack_capture -c 2 -p system:capture*
To record a stereo file from the soundcard.
.SH SEE ALSO
.BR jackd(1).
.br
.SH AUTHOR
jack_capture was written by Kjetil Matheussen
.PP
This manual page was written by Jaromír Mikeš <mira.mikes@seznam.cz>,
for the Debian project (but may be used by others).
